Check Point Reference:CPAI-2012-128
Date Published: 10 Apr 2012
Severity: High
Last Updated:
Source: CVE-2012-0177
Protection Provided by:

Security Gateway
R70

  • R71
  • R75

  • Who is Vulnerable? Microsoft Office 2007 Service Pack 2
    Microsoft Works 9
    Microsoft Works 6–9 File Converter
    Vulnerability Description A remote code execution vulnerability has been reported in Microsoft Office.
    Update/Patch AvaliableApply patches from: MS12-028
    Vulnerability DetailsThe vulnerability is caused due to insufficient validation of .wps files by the Microsoft Works Converter. A remote attacker may exploit this vulnerability by enticing a target user to open a specially crafted file with an affected version of Microsoft Office. Successful exploitation would allow an attacker to take complete control of an affected system.

    Protection Overview

    This protection will detect and block the transferring of specially crafted WPS files.

    In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, Protection tab and select the version of your choice.

    1. In the IPS tab, click Protections and find the Microsoft Office WPS Converter Heap Overflow (MS12-028) protection using the Search tool and Edit the protection's settings.
    2. Install policy on all modules.

    SmartView Tracker will log the following entries:
    Attack Name: Content Protection Violation
    Attack Information: Microsoft Office WPS converter heap overflow (MS12-028)